jQuery(document).ready(function($) {
    // Tab functionality
    $('.nav-tab').click(function(e) {
        e.preventDefault();
        
        // Update active tab
        $('.nav-tab').removeClass('nav-tab-active');
        $(this).addClass('nav-tab-active');
        
        // Show active content
        var target = $(this).attr('href');
        $('.tab-pane').removeClass('active');
        $(target).addClass('active');
    });

    // Add new device
    $('.add-device').on('click', function() {
        var id = 'device_' + Date.now();
        var row = `
            <tr class="device-row" data-id="${id}">
                <td>
                    <input type="text" name="vpixel_pro_sms_settings[devices][${id}][name]" class="regular-text">
                </td>
                <td>
                    <input type="text" name="vpixel_pro_sms_settings[devices][${id}][sender_id]" class="regular-text">
                </td>
                <td>
                    <input type="text" name="vpixel_pro_sms_settings[devices][${id}][description]" class="regular-text">
                </td>
                <td>
                    <button type="button" class="button delete-device">Delete</button>
                </td>
            </tr>
        `;
        $('#device-list').append(row);
    });

    // Delete device
    $(document).on('click', '.delete-device', function() {
        if (confirm('Are you sure you want to delete this device?')) {
            $(this).closest('tr').remove();
        }
    });

    // Clear debug log
    $('.clear-debug-log').on('click', function() {
        if (confirm('Are you sure you want to clear the debug log?')) {
            $.post(ajaxurl, {
                action: 'clear_vpixel_debug_log',
                nonce: vpixelSmsAdmin.nonce
            }, function(response) {
                if (response.success) {
                    $('.debug-log textarea').val('');
                }
            });
        }
    });
}); 