<?php
if (!defined('ABSPATH')) exit;
?>

<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>

    <div class="vpp-sms-system-status">
        <h2><?php _e('System Information', 'v-pixel-pro-sms-woo'); ?></h2>
        <table class="widefat" cellspacing="0">
            <tbody>
                <tr>
                    <td><?php _e('PHP Version', 'v-pixel-pro-sms-woo'); ?></td>
                    <td><?php echo PHP_VERSION; ?></td>
                </tr>
                <tr>
                    <td><?php _e('WordPress Version', 'v-pixel-pro-sms-woo'); ?></td>
                    <td><?php echo get_bloginfo('version'); ?></td>
                </tr>
                <tr>
                    <td><?php _e('WooCommerce Version', 'v-pixel-pro-sms-woo'); ?></td>
                    <td><?php echo WC()->version; ?></td>
                </tr>
                <tr>
                    <td><?php _e('Plugin Version', 'v-pixel-pro-sms-woo'); ?></td>
                    <td><?php echo VPP_SMS_VERSION; ?></td>
                </tr>
                <tr>
                    <td><?php _e('Debug Mode', 'v-pixel-pro-sms-woo'); ?></td>
                    <td><?php echo get_option('vpp_sms_debug_mode') === 'yes' ? 'Enabled' : 'Disabled'; ?></td>
                </tr>
            </tbody>
        </table>

        <?php if (get_option('vpp_sms_debug_mode') === 'yes'): ?>
            <h2><?php _e('Debug Logs', 'v-pixel-pro-sms-woo'); ?></h2>
            <div class="vpp-sms-debug-logs">
                <textarea readonly rows="20" class="large-text code">
                    <?php echo esc_textarea(implode("\n", Debug::get_logs())); ?>
                </textarea>
            </div>
            <p>
                <a href="<?php echo wp_nonce_url(admin_url('admin.php?page=vpp-sms-status&action=clear-logs'), 'clear_logs'); ?>" 
                   class="button">
                    <?php _e('Clear Logs', 'v-pixel-pro-sms-woo'); ?>
                </a>
            </p>
        <?php endif; ?>
    </div>
</div> 